Bug 1304885 - gnome-terminal fails to launch with error [NEEDINFO]
gnome-terminal fails to launch with error
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-terminal (Show other bugs)
7.2
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Debarshi Ray
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 16:58 EST by Christopher Page
Modified: 2017-02-04 00:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
debarshir: needinfo? (cpage)


Attachments (Terms of Use)

  None (edit)
Description Christopher Page 2016-02-04 16:58:56 EST
Description of problem: 

After GUI login, attempts to launch gnome-terminal generate the following error:

"There was an error creating the child process for this terminal.

grantpt failed: Operation not permitted." 

Konsole and xterm launch normally.


Version-Release number of selected component (if applicable): 3.14.3


How reproducible: 100% on all systems tested so far (5+).


Steps to Reproduce:
1. Log in to GUI session.
2. Launch "Terminal" either by right-click or from menu.
3.

Actual results:

Terminal launches with above error and no shell prompt.

Expected results:

Terminal launches without error.

Additional info: mount entry for devpts:

devpts on /dev/pts type devpts (rw,nosuid,noexec,relatime,seclabel,gid=5,mode=620,ptmxmode=000)
Comment 2 Debarshi Ray 2016-05-11 10:11:51 EDT
Is /dev/pts properly mounted?

Note You need to log in before you can comment on or make changes to this bug.